## ros-lunar-rosflight-utils 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosflight_utils)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  geometry_msgs
  rosflight_msgs
  rosgraph_msgs
  sensor_msgs
  std_srvs
)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rosflight_utils
  CATKIN_DEPENDS roscpp rospy rosflight_msgs sensor_msgs
)

add_definitions(-std=c++11)

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

add_library(rosflight_utils
  src/simple_pid.cpp
  src/turbomath.cpp
)
add_dependencies(${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rosflight_utils ${catkin_LIBRARIES})

#add_executable(joy src/joy.cpp)
#add_dependencies(joy ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
#target_link_libraries(joy ${catkin_LIBRARIES})

=== debian/changelog ===
ros-lunar-rosflight-utils (1.0.0-0stretch) stretch; urgency=high

  * parse GLONASS nmea sentences
  * headless joy node
  * added xbox to command mappings
  * added Taranis mappings
  * Fixed gps reporting of the number of satellites to report the actual number of satellites instead of a fixed number of 0 when not connected or 4 when connected.
  * Contributors: Daniel Koch, Devon, Gary Ellingson, James Jackson, Jesse Wynn, pmarke, mailto:superjax08@gmail.com

 -- gary <gary.ellingson@byu.edu>  Tue, 13 Mar 2018 06:00:00 -0000

ros-lunar-rosflight-utils (0.1.3-0stretch) stretch; urgency=high

  * Updated package.xml files
  * Contributors: Daniel Koch

 -- gary <gary.ellingson@byu.edu>  Fri, 02 Jun 2017 06:00:00 -0000

ros-lunar-rosflight-utils (0.1.2-0stretch) stretch; urgency=high



 -- gary <gary.ellingson@byu.edu>  Wed, 24 May 2017 06:00:00 -0000

ros-lunar-rosflight-utils (0.1.1-0stretch) stretch; urgency=high

  * Added missing dependencies
  * Contributors: Daniel Koch

 -- gary <gary.ellingson@byu.edu>  Wed, 24 May 2017 06:00:00 -0000

ros-lunar-rosflight-utils (0.1.0-0stretch) stretch; urgency=high

  * Added BSD license statements to source files
    Closes #1 <https://github.com/rosflight/rosflight/issues/1>
  * Replaced outdated package README files with simpler top-level README
    The information that used to be in the package README files is now on the ROS wiki (http://wiki.ros.org/rosflight_pkgs, http://wiki.ros.org/rosflight, etc.)
    Closes #7 <https://github.com/rosflight/rosflight/issues/7>
  * Renamed rosflight_common to rosflight_utils
  * Contributors: Daniel Koch

 -- gary <gary.ellingson@byu.edu>  Mon, 22 May 2017 06:00:00 -0000

=== debian/control ===
Source: ros-lunar-rosflight-utils
Section: misc
Priority: extra
Maintainer: gary <gary.ellingson@byu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-gazebo-msgs, ros-lunar-geometry-msgs, ros-lunar-roscpp, ros-lunar-rosflight-msgs, ros-lunar-rosgraph-msgs, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-srvs
Homepage: http://rosflight.org
Standards-Version: 3.9.2

Package: ros-lunar-rosflight-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-gazebo-msgs, ros-lunar-geometry-msgs, ros-lunar-roscpp, ros-lunar-rosflight-msgs, ros-lunar-rosgraph-msgs, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-srvs
Description: Supporting utilities for ROSflight packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosflight-utils//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
